<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/AGDerivationTree.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">AGDerivationTree.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_tree_8h_source.html">Tree.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_a_g_symbol_8h_source.html">AGSymbol.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_phenotype_8h_source.html">Phenotype.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AGDerivationTree.h:</div>
<div class="dyncontent">
<div class="center"><img src="_a_g_derivation_tree_8h__incl.png" border="0" usemap="#src_2_a_g_derivation_tree_8h" alt=""/></div>
<!-- MAP 0 -->
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_a_g_derivation_tree_8h__dep__incl.png" border="0" usemap="#src_2_a_g_derivation_tree_8hdep" alt=""/></div>
<!-- MAP 1 -->
</div>
</div>
<p><a href="_a_g_derivation_tree_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aea8835f130330807224a71891dcf0c86"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="class_tree.html">Tree</a>&lt; <a class="el" href="class_a_g_symbol.html">AGSymbol</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a></td></tr>
<tr class="separator:aea8835f130330807224a71891dcf0c86"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:af1603f0c0d74c57dab97d421b1a43941"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_a_g_derivation_tree_8h.html#af1603f0c0d74c57dab97d421b1a43941">TraversalReason</a> { <a class="el" href="_a_g_derivation_tree_8h.html#af1603f0c0d74c57dab97d421b1a43941a1e1a4aba20a5a009e616cbc8fad33ac7">CLEAR</a>, 
<a class="el" href="_a_g_derivation_tree_8h.html#af1603f0c0d74c57dab97d421b1a43941ab107229d44d042caa8ab8df4c8acaa1f">PRINT</a>, 
<a class="el" href="_a_g_derivation_tree_8h.html#af1603f0c0d74c57dab97d421b1a43941a87358f51692388b9925666590b391e21">PHENOTYPE</a>
 }</td></tr>
<tr class="separator:af1603f0c0d74c57dab97d421b1a43941"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="aea8835f130330807224a71891dcf0c86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea8835f130330807224a71891dcf0c86">&#9670;&nbsp;</a></span>AGTree</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="class_tree.html">Tree</a>&lt;<a class="el" href="class_a_g_symbol.html">AGSymbol</a>*&gt; <a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="af1603f0c0d74c57dab97d421b1a43941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1603f0c0d74c57dab97d421b1a43941">&#9670;&nbsp;</a></span>TraversalReason</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="_a_g_derivation_tree_8h.html#af1603f0c0d74c57dab97d421b1a43941">TraversalReason</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="af1603f0c0d74c57dab97d421b1a43941a1e1a4aba20a5a009e616cbc8fad33ac7"></a>CLEAR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="af1603f0c0d74c57dab97d421b1a43941ab107229d44d042caa8ab8df4c8acaa1f"></a>PRINT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="af1603f0c0d74c57dab97d421b1a43941a87358f51692388b9925666590b391e21"></a>PHENOTYPE&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
